# std::seed_seq Class Reference
[Random Number Utilities]

The seed_seq class generates sequences of seeds for random number generators. More...

List of all members.

## Public Types

- typedef uint_least32_t result_type

## Public Member Functions

- seed_seq ()
- template<typename _IntType > seed_seq (std::initializer_list< _IntType > il)
- template<typename _InputIterator > seed_seq (_InputIterator __begin, _InputIterator __end)
- template<typename _RandomAccessIterator > void generate (_RandomAccessIterator __begin, _RandomAccessIterator __end)
- template<typename OutputIterator > void param (OutputIterator __dest) const
- size_t size () const

## Detailed Description

The seed_seq class generates sequences of seeds for random number generators.

Definition at line 5300 of file random.h.

## Member Typedef Documentation

typedef uint_least32_t std::seed_seq::result_type

The type of the seed vales.

Definition at line 5305 of file random.h.

## Constructor & Destructor Documentation

std::seed_seq::seed_seq | ( |  | ) | `[inline]`

Default constructor.

Definition at line 5308 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- random.tcc